Bollettino sulla sicurezza Pixel/Nexus: maggio 2018

Pubblicato il 7 maggio 2018 | Aggiornato il 9 maggio 2018

Il Pixel/Nexus Security Bulletin contiene dettagli sulle vulnerabilità della sicurezza e miglioramenti funzionali che interessano i dispositivi Google Pixel e Nexus (dispositivi Google) supportati. Per i dispositivi Google, i livelli di patch di sicurezza del 05-05-2018 o successivi risolvono tutti i problemi in questo bollettino e tutti i problemi nel Bollettino sulla sicurezza Android di maggio 2018. Per informazioni su come controllare il livello di patch di sicurezza di un dispositivo, consulta Verifica e aggiorna la versione di Android .

Tutti i dispositivi Google supportati riceveranno un aggiornamento al livello di patch 2018-05-05. Invitiamo tutti i clienti ad accettare questi aggiornamenti sui propri dispositivi.

Nota: le immagini del firmware del dispositivo Google sono disponibili sul sito Google Developer .

Annunci

Oltre alle vulnerabilità di sicurezza descritte nel Bollettino sulla sicurezza Android di maggio 2018, i dispositivi Pixel e Nexus contengono anche patch per le vulnerabilità di sicurezza descritte di seguito. I partner sono stati informati di questi problemi almeno un mese fa e possono scegliere di incorporarli come parte degli aggiornamenti del dispositivo.

Patch di sicurezza

Le vulnerabilità sono raggruppate sotto la componente che interessano. C'è una descrizione del problema e una tabella con il CVE, i riferimenti associati, il tipo di vulnerabilità , la gravità e le versioni aggiornate di Android Open Source Project (AOSP) (ove applicabile). Quando disponibile, colleghiamo la modifica pubblica che ha risolto il problema all'ID del bug, come l'elenco delle modifiche AOSP. Quando più modifiche si riferiscono a un singolo bug, i riferimenti aggiuntivi sono collegati a numeri che seguono l'ID del bug.

Struttura

CVE Riferimenti Tipo Gravità Versioni AOSP aggiornate
CVE-2017-13316 A-73311729 ID Moderare 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1

Quadro dei media

CVE Riferimenti Tipo Gravità Versioni AOSP aggiornate
CVE-2017-13317 A-73172046 ID Moderare 8.1
CVE-2017-13318 A-73782357 ID Moderare 8.1
CVE-2017-13319 A-71868329 ID Moderare 7.0, 7.1.1, 7.1.2, 8.0, 8.1
DoS Alto 6.0, 6.0.1
CVE-2017-13320 A-72764648 ID Moderare 7.0, 7.1.1, 7.1.2, 8.0, 8.1
DoS Alto 6.0, 6.0.1

Sistema

CVE Riferimenti Tipo Gravità Versioni AOSP aggiornate
CVE-2017-13323 A-73826242 EoP Moderare 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2017-13321 A-70986337 ID Moderare 8.0, 8.1
CVE-2017-13322 A-67862398 DoS Moderare 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1

Componenti del kernel

CVE Riferimenti Tipo Gravità Componente
CVE-2018-5344 A-72867809
kernel a monte
EoP Moderare Blocca driver
CVE-2017-15129 A-72961054
kernel a monte
EoP Moderare Spazio dei nomi di rete

componenti NVIDIA

CVE Riferimenti Tipo Gravità Componente
CVE-2018-6254 A-64340684 * ID Moderare Server multimediale
CVE-2018-6246 A-69383916 * ID Moderare Trustlet Widevine

componenti Qualcomm

CVE Riferimenti Tipo Gravità Componente
CVE-2018-5849 A-72957611
QC-CR#2131811
EoP Moderare QTEECOM
CVE-2018-5851 A-72957505
QC-CR#2146869 [ 2 ]
EoP Moderare WLAN
CVE-2018-5842 A-72957257
QC-CR#2113219 [ 2 ]
EoP Moderare WLAN
CVE-2018-5848 A-72957178
QC-CR#2126062
EoP Moderare PARRUCCA
CVE-2018-5853 A-71714212 *
QC-CR#2178082
QC-CR#2043277
EoP Moderare Sottosistema di rete
CVE-2018-5843 A-71501685
QC-CR#2113385
EoP Moderare Driver del modem
CVE-2018-5844 A-71501682
QC-CR#2118860
EoP Moderare Dispositivo video
CVE-2018-5847 A-71501681
QC-CR#2120955
EoP Moderare Motore di visualizzazione Snapdragon
CVE-2018-3582 A-72956801
QC-CR#2149531
EoP Moderare WLAN
CVE-2018-3581 A-72957725
QC-CR#2150359 [ 2 ]
EoP Moderare WLAN
CVE-2018-3576 A-72957337
QC-CR#2128512
EoP Moderare WLAN
CVE-2018-3572 A-72957724
QC-CR#2145996 [ 2 ]
EoP Moderare Audio
CVE-2018-3571 A-72957527
QC-CR#2132332
EoP Moderare Kgsl
CVE-2017-18153 A-35470735 *
QC-CR#2021363
EoP Moderare Qcacld-2.0
CVE-2017-18070 A-72441280
QC-CR#2114348
EoP Moderare WLAN
CVE-2017-15857 A-65122765 *
QC-CR#2111672
QC-CR#2152401
QC-CR#2152399
QC-CR#2153841
EoP Moderare Telecamera
CVE-2017-15854 A-71501688
QC-CR#2114396
EoP Moderare WLAN
CVE-2017-15843 A-72956941
QC-CR#2032076 [ 2 ]
EoP Moderare Autista Floor_vote
CVE-2017-15842 A-72957040
QC-CR#2123291 [ 2 ]
EoP Moderare Qdsp6v2
CVE-2017-15832 A-70237689
QC-CR#2114756
EoP Moderare WLAN
CVE-2018-5852 A-70242505 *
QC-CR#2169379
ID Moderare Autista Ipa
CVE-2018-3579 A-72957564
QC-CR#2149720
ID Moderare WLAN

Patch funzionali

Questi aggiornamenti sono inclusi per i dispositivi Pixel interessati per risolvere problemi di funzionalità non correlati alla sicurezza dei dispositivi Pixel. La tabella include i riferimenti associati; la categoria interessata, come Bluetooth o dati mobili; miglioramenti; e dispositivi interessati.

Riferimenti Categoria Miglioramenti Dispositivi
A-68840121 Prestazione Migliora il rilevamento multitouch Tutto
A-72851087 Potenza Regola il comportamento di ricarica di Pixel XL Pixel XL

Domande e risposte comuni

Questa sezione risponde alle domande più comuni che possono verificarsi dopo la lettura di questo bollettino.

1. Come faccio a determinare se il mio dispositivo è aggiornato per risolvere questi problemi?

I livelli di patch di sicurezza del 05-05-2018 o successivi risolvono tutti i problemi associati al livello di patch di sicurezza del 05-05-2018 e tutti i livelli di patch precedenti. Per informazioni su come controllare il livello di patch di sicurezza di un dispositivo, leggi le istruzioni sulla pianificazione degli aggiornamenti di Pixel e Nexus .

2. Cosa significano le voci nella colonna Tipo ?

Le voci nella colonna Tipo della tabella dei dettagli della vulnerabilità fanno riferimento alla classificazione della vulnerabilità della sicurezza.

Abbreviazione Definizione
RCE Esecuzione di codice a distanza
EoP Elevazione del privilegio
ID Rivelazione di un 'informazione
DoS Negazione del servizio
N / A Classificazione non disponibile

3. Cosa significano le voci nella colonna Riferimenti ?

Le voci nella colonna Riferimenti della tabella dei dettagli della vulnerabilità possono contenere un prefisso che identifica l'organizzazione a cui appartiene il valore di riferimento.

Prefisso Riferimento
UN- ID bug Android
controllo qualità- Numero di riferimento Qualcomm
M- Numero di riferimento MediaTek
N- Numero di riferimento NVIDIA
B- Numero di riferimento Broadcom

4. Cosa significa un * accanto all'ID del bug Android nella colonna Riferimenti ?

I problemi che non sono disponibili pubblicamente hanno un * accanto all'ID del bug Android nella colonna Riferimenti . L'aggiornamento per quel problema è generalmente contenuto nei driver binari più recenti per i dispositivi Pixel/Nexus disponibili sul sito Google Developer .

5. Perché le vulnerabilità della sicurezza sono suddivise tra questo bollettino e i bollettini sulla sicurezza di Android?

Le vulnerabilità di sicurezza documentate nei Bollettini sulla sicurezza di Android sono necessarie per dichiarare il livello di patch di sicurezza più recente sui dispositivi Android. Ulteriori vulnerabilità di sicurezza, come quelle documentate in questo bollettino, non sono necessarie per dichiarare un livello di patch di sicurezza.

Versioni

Versione Data Appunti
1.0 7 maggio 2018 Bollettino pubblicato.
1.1 9 maggio 2018 Bollettino rivisto per includere i collegamenti AOSP.